org.apache.cassandra.io.sstable.format

## Class SSTableReader.Factory

- java.lang.Object
- - org.apache.cassandra.io.sstable.format.SSTableReader.Factory

- Enclosing class:
    SSTableReader

      public abstract static class SSTableReader.Factory
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Factory()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract SSTableReader` | `open(Descriptor descriptor, java.util.Set<Component> components, CFMetaData metadata, IPartitioner partitioner, java.lang.Long maxDataAge, StatsMetadata sstableMetadata, SSTableReader.OpenReason openReason)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Factory

          public Factory()

  - ### Method Detail

    - #### open

          public abstract SSTableReader open(Descriptor descriptor,
                                             java.util.Set<Component> components,
                                             CFMetaData metadata,
                                             IPartitioner partitioner,
                                             java.lang.Long maxDataAge,
                                             StatsMetadata sstableMetadata,
                                             SSTableReader.OpenReason openReason)

Copyright © 2018 The Apache Software Foundation